/******************************************************************************
*                                                                             *
* xfsadmin.h    WOSA/XFS-Administration and Support functions                 *
*                                                                             *
*               Version 1.11  --  3 Feb 1995                                  *
*                                                                             *
******************************************************************************/

#ifndef __INC_XFSADMIN__H
#define __INC_XFSADMIN__H

#ifdef __cplusplus
extern "C" {
#endif

#include	<xfsapi.h>

/*   be aware of alignment   */
#pragma pack(push,1)


/* values of ulFlags used for WFMAllocateBuffer */

#define WFS_MEM_SHARE						0x00000001
#define WFS_MEM_ZEROINIT					0x00000002

/****** Administration Functions *********************************************/

HINSTANCE	extern WINAPI WFSLoad ();
HRESULT		extern WINAPI WFSReset ();
HRESULT		extern WINAPI WFSResume ();
HRESULT		extern WINAPI WFSSuspend ();
HRESULT		extern WINAPI WFSUnload ();

/****** Support Functions ****************************************************/

HRESULT extern WINAPI WFMAllocateBuffer( ULONG, ULONG, LPVOID * );
HRESULT extern WINAPI WFMAllocateMore( ULONG, LPVOID, LPVOID * );
HRESULT extern WINAPI WFMFreeBuffer( LPVOID );
HRESULT extern WINAPI WFMGetTraceLevel ( HSERVICE, LPDWORD );
HRESULT extern WINAPI WFMKillTimer( WORD );
HRESULT extern WINAPI WFMOutputTraceData ( LPSTR );
HRESULT extern WINAPI WFMReleaseDLL ( HPROVIDER );
HRESULT extern WINAPI WFMReportEvent ( LPWFSRESULT );
HRESULT extern WINAPI WFMSetTimer ( HWND, LPVOID, DWORD, LPWORD );
HRESULT extern WINAPI WFMSetTraceLevel ( HSERVICE, DWORD );


/*   restore alignment   */
#pragma pack(pop)

#ifdef __cplusplus
}       /*extern "C"*/
#endif

#endif	/* __INC_XFSADMIN__H */
